Package org.apache.sysds.hops.rewrite

## Class HopDagValidator

- java.lang.Object
- - org.apache.sysds.hops.rewrite.HopDagValidator

    public class HopDagValidator
    extends Object

This class allows to check hop dags for validity, e.g., parent-child linking. Use it for debugging (enabled in `ProgramRewriter`).

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `validateHopDag​(ArrayList<Hop> roots, HopRewriteRule rule)`
`static void` `validateHopDag​(Hop root, HopRewriteRule rule)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### validateHopDag

    public static void validateHopDag​(ArrayList<Hop> roots,
                                      HopRewriteRule rule)

#### validateHopDag

    public static void validateHopDag​(Hop root,
                                      HopRewriteRule rule)